Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javacardx.framework
Annotation Type TransactionType

    @Documented
    @Retention(value=CLASS)
    @Target(value={TYPE,METHOD})
    public @interface TransactionType

The TransactionType annotation is used to specify the type of transaction policy for a method or for all methods in the class.

Specifying the TransactionType annotation on the class means that it applies as the default to all the methods of the class. If the TransactionType annotation is not specified, it is assumed to be SUPPORTS. A TransactionType declaration on a method overrides the TransactionType explicitly or implicitly specified for the class in which the method is defined.

The TransactionType annotation when specified on an interface, or an interface method has just an informative purpose and simply describes the transactional behavior that is expected of classes which implement the interface. The platform MUST only enforce the TransactionType annotation (or default) behavior of the classes which implement the interface.

Note:

- All platform implementations of interfaces specified in Application Programming Interface Specification, Java Card Platform, Version 3.0, Connected Edition MUST implement the TransactionType annotation behavior specified by the interfaces.

Since:
  Java Card 3.0

Required Element Summary
`TransactionTypeValue` | `value` This enum value specifies the type of transaction policy to be applied for the whole class or specific method

Element Detail

### value

    public abstract TransactionTypeValue value

  This enum value specifies the type of transaction policy to be applied for the whole class or specific method

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.